Skip to main content
GET
/
api
/
v1
/
plan
/
{id}
get entity by id
curl --request GET \
  --url https://api.example.com/api/v1/plan/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE",
  "name": "<string>",
  "maxUsers": 123,
  "maxContracts": 123,
  "maxProjects": 123,
  "maxTriggers": 123,
  "maxDetectors": 123,
  "maxWallets": 123,
  "maxActions": 123,
  "maxApiKeys": 123,
  "detectorRateLimit": 123,
  "detectorRateLimitDuration": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Response

200 - application/json

OK

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
name
string

Name for the entity

maxUsers
integer<int32>

The maximum number of users allowed under this plan

maxContracts
integer<int32>

The maximum number of contracts allowed under this plan

maxProjects
integer<int32>

The maximum number of projects allowed under this plan

maxTriggers
integer<int32>

The maximum number of triggers allowed under this plan

maxDetectors
integer<int32>

The maximum number of detectors allowed under this plan

maxWallets
integer<int32>

The maximum number of wallets allowed under this plan

maxActions
integer<int32>

The maximum number of actions allowed under this plan

maxApiKeys
integer<int32>

The maximum number of api keys allowed under this plan

detectorRateLimit
integer<int32>

The maximum rate of detector alerts per duration

detectorRateLimitDuration
integer<int32>

The time duration (in milliseconds) per which the maximum rate of detector alerts is allowed